{% extends "base.html" %}
{% load static %}
{% block searchform %}
btn btn-success my-2 my-sm-0 ml-4" type="submit">Search</button>
{% endblock searchform %}
{% block content %}
<center>
	<h1 style="margin-top: 50px;">Search Users</h1>
	<div class="container" style="padding-top:50px">
	      	{% if not cari %}
	      	<br><br>
	      	
			<form class="input-group mb-3" action="{% url 'djangu:findfriends' %}" method="get">
				<input style="box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);border-radius:90px;" type="text" class="form-control" name="q" placeholder="Search Users" aria-label="Search Users" aria-describedby="button-addon2">
				<div class="input-group-append">

				</div>
			</form>
			{% else %}
			<form  class="input-group mb-3" action="{% url 'djangu:findfriends' %}" method="get">
				<input style="box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);border-radius:90px;" type="text" class="form-control" name="q" placeholder="Search Users" aria-label="Search Users" aria-describedby="button-addon2">
				<div class="input-group-append">

				</div>
			</form>
			
			{% for object in cari %}
			{% if not object.is_superuser %}
			{% if not object.person.id == from_user.id %}
			{% if object.person not in from_user.friends.all and object != request.user %}
			
			<div class="card text-center" style="margin: 0% 20% 0; border-radius:90px; background: linear-gradient(180deg, #898CF1 0%, #3BB4FF 100%);
			margin-bottom:15px;box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);">
                    <div class="header" style="padding: 0% 5% 0%;">
                        <h5 style="color: white;margin-top:1%" class="card-title">{{object}}</h5>
                        <a style="margin-bottom:5px; border-radius:90px; margin: 0% 20% 1%;" class="btn btn-success btn-sm" href="/send_friend_request/{{from_user.id}}/{{object.person.id}}/">send friend request</a>
                    </div>
				</div>
			</div>
			
			{% endif %}
			{% endif %}
			{% endif %}
            {% endfor %}
	      	<br><br>
			{% endif %}
	</div>
</center>
<style>
    body {
        background: url("{% static 'bg.png' %}");
        background-size: 100%;
		background-attachment: fixed;
		background-repeat: no-repeat;
	}
	@media only screen and (max-width: 576px) {
        body {
            background: white;
            padding-top: 30px;
        }
    }
</style>
{% endblock content %}
